Перейти к основному содержимому

POST /logistics/vrp/2.0.0/create

Спецификация OpenAPI

2GIS Navigation API (6.0.0)

Алгоритмы

Решение задачи

Расчет обхода всех указанных точек для одного или нескольких курьеров

query Parameters
key
required
string

API-ключ разработчика

Request Body schema: */*
required

Параметры запроса

Array of Depot (objects) or null

Несколько складов

required
Array of objects (Waypoint) [ 1 .. 4000 ] items

Список точек

required
Array of objects (Agent) [ 1 .. 200 ] items

Список агентов

Array of Route (objects) or null

Начальные маршруты

object

Опции расчета

Responses

Response Schema: application/json
task_id
required
string

Идентификатор задачи

required
object

Статус задачи

RoutingResult (object) or null

Результат

Response samples

Content type
application/json
{
  • "task_id": "string",
  • "status": {
    • "status": "Run",
    • "queued": "string",
    • "started": "string",
    • "matrix_downloaded": "string",
    • "calculated": "string",
    • "completed": "string"
    },
  • "result": {
    • "metrics": {
      },
    • "options": {
      },
    • "routes": [
      ],
    • "dropped_waypoints": [
      ],
    • "dropped_agents": [
      ]
    }
}